# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.19-1.2911.6.4.fc6}

%define kmod_name acpi4asus
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
%define xenvar xen
%define kdumpvar kdump
%endif
%ifarch i686 x86_64 ppc
%define kdumpvar kdump
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

%define cvs 20070214

Name:           %{kmod_name}-kmod
Version:        0.32
Release:        0.1cvs%{cvs}%(echo %{kverrel} | tr - _)
Summary:       	Linux kernel module to allow control of Acer Laptops

Group:          System Environment/Kernel
License:        GPL2
URL:            http://sourceforge.net/projects/acpi4asus/
#cvs -z3 -d:pserver:anonymous@acpi4asus.cvs.sourceforge.net:/cvsroot/acpi4asus co -P acpi4asus
Source0:        acpi4asus-%{cvs}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	acpi4asus-kmod-common >= %{version}

%description
This project is a Linux kernel driver that allows owners of Asus laptops
to use all the functionality of their computers such as special keys, 
special LEDs, brightness control, ...

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -n acpi4asus-%{cvs}

## Fix the #include <linux/config.h> - call deprecated since 2.6.18
# from Ville Skyttä - madwifi package.
#grep -rlF '<linux/config.h>' %{kmod_name}-%{version} \
#| xargs sed -i -e 's|<linux/config.h>|<linux/autoconf.h>|'

for kvariant in %{kvariants} ; do
	cp -a driver _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants}
do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
cd _kmod_build_$kvariant
make \
	KDIR="${ksrc}" \
	KVER=%{kverrel}${kvariant}  
cd ..
done

%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
pushd _kmod_build_$kvariant
install -D -m 0644 *.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/
popd
done
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%changelog
* Mon Feb 14 2007 kwizart < kwizart at gmail.com > - 0.32-0.1cvs20070214
- Update to 20070214

* Mon Jan 15 2007 kwizart < kwizart at gmail.com > - 0.32-0.1cvs20070115
- Initial Release.
